Package org.eclipse.graphiti.mm.pictograms

## Interface Anchor

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `GraphicsAlgorithmContainer`, `org.eclipse.emf.common.notify.Notifier`, `PictogramElement`, `PropertyContainer`

All Known Subinterfaces:
  `AdvancedAnchor`, `BoxRelativeAnchor`, `ChopboxAnchor`, `FixPointAnchor`

All Known Implementing Classes:
  `AdvancedAnchorImpl`, `AnchorImpl`, `BoxRelativeAnchorImpl`, `ChopboxAnchorImpl`, `FixPointAnchorImpl`

    public interface Anchor
    extends PictogramElement

A representation of the model object 'Anchor'.

The following features are supported:

- `Parent`
- `Outgoing Connections`
- `Incoming Connections`
- `Referenced Graphics Algorithm`

See Also:
  `PictogramsPackage.getAnchor()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<Connection>` `getIncomingConnections()` Returns the value of the 'Incoming Connections' reference list.
`org.eclipse.emf.common.util.EList<Connection>` `getOutgoingConnections()` Returns the value of the 'Outgoing Connections' reference list.
`AnchorContainer` `getParent()` Returns the value of the 'Parent' container reference.
`GraphicsAlgorithm` `getReferencedGraphicsAlgorithm()` Returns the value of the 'Referenced Graphics Algorithm' reference.
`void` `setParent​(AnchorContainer value)` Sets the value of the '`Parent`' container reference.
`void` `setReferencedGraphicsAlgorithm​(GraphicsAlgorithm value)` Sets the value of the '`Referenced Graphics Algorithm`' reference.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.PictogramElement

`getGraphicsAlgorithm, getLink, isActive, isVisible, setActive, setGraphicsAlgorithm, setLink, setVisible`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

### Method Detail

#### getParent

    AnchorContainer getParent()

Returns the value of the 'Parent' container reference. It is bidirectional and its opposite is '`Anchors`'.

If the meaning of the 'Parent' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Parent' container reference.
See Also:
  `setParent(AnchorContainer)`, `PictogramsPackage.getAnchor_Parent()`, `AnchorContainer.getAnchors()`

#### setParent

    void setParent​(AnchorContainer value)

Sets the value of the '`Parent`' container reference.

Parameters:
  `value` - the new value of the 'Parent' container reference.
See Also:
  `getParent()`

#### getOutgoingConnections

    org.eclipse.emf.common.util.EList<Connection> getOutgoingConnections()

Returns the value of the 'Outgoing Connections' reference list. The list contents are of type `Connection`. It is bidirectional and its opposite is '`Start`'.

If the meaning of the 'Outgoing Connections' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Outgoing Connections' reference list.
See Also:
  `PictogramsPackage.getAnchor_OutgoingConnections()`, `Connection.getStart()`

#### getIncomingConnections

    org.eclipse.emf.common.util.EList<Connection> getIncomingConnections()

Returns the value of the 'Incoming Connections' reference list. The list contents are of type `Connection`. It is bidirectional and its opposite is '`End`'.

If the meaning of the 'Incoming Connections' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Incoming Connections' reference list.
See Also:
  `PictogramsPackage.getAnchor_IncomingConnections()`, `Connection.getEnd()`

#### getReferencedGraphicsAlgorithm

    GraphicsAlgorithm getReferencedGraphicsAlgorithm()

Returns the value of the 'Referenced Graphics Algorithm' reference.

If the meaning of the 'Referenced Graphics Algorithm' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Referenced Graphics Algorithm' reference.
See Also:
  `setReferencedGraphicsAlgorithm(GraphicsAlgorithm)`, `PictogramsPackage.getAnchor_ReferencedGraphicsAlgorithm()`

#### setReferencedGraphicsAlgorithm

    void setReferencedGraphicsAlgorithm​(GraphicsAlgorithm value)

Sets the value of the '`Referenced Graphics Algorithm`' reference.

Parameters:
  `value` - the new value of the 'Referenced Graphics Algorithm' reference.
See Also:
  `getReferencedGraphicsAlgorithm()`